## nlkt 0.3.2.5

=== share/CMakeLists.txt ===
find_package(Qt5LinguistTools)
foreach (name ru uk)
	qt5_add_translation(QM_FILES ${CMAKE_CURRENT_SOURCE_DIR}/translations/nlkt_${name}.ts)
endforeach()
add_custom_target(translations ALL DEPENDS ${QM_FILES} VERBATIM)
install(DIRECTORY . DESTINATION share/nlkt PATTERN "*.ts" EXCLUDE PATTERN "*CMake*" EXCLUDE)
install(FILES ${QM_FILES} DESTINATION share/nlkt/translations)

## nlkt 0.3.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

project(nlkt)

add_subdirectory(src)
add_subdirectory(share)

=== src/CMakeLists.txt ===
OPTION(LOCAL "is build local" ON)
if (LOCAL)
	set(PASSED_SHARE_PREFIX "${CMAKE_SOURCE_DIR}/share")
else()
	set(PASSED_SHARE_PREFIX "/usr/share/nlkt")
endif()

set(CMAKE_AUTOMOC ON)
find_package(Qt5Widgets)

include_directories(.)
add_definitions("-D__LINUX")
add_definitions("-DSHARE_PREFIX=\"${PASSED_SHARE_PREFIX}\"")

add_executable(nlkt
	KeyboardWidget.cpp
	RichboxWidget.cpp
	MainWidget.cpp
	FortunesGetter.cpp
	Logic.cpp
	Layout.cpp
	UserProfile.cpp
	ProfileManager.cpp
	StatsWidget.cpp
	StatsLogic.cpp
	main.cpp
	yf/time/time.cpp
	yf/random/random.cpp
	yf/exception/exception.cpp
)
target_link_libraries(nlkt Qt5::Widgets qwt-qt5)

install(TARGETS nlkt DESTINATION bin)

=== debian/changelog ===
nlkt (0.3.2.6-2.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:01:56 +1100

nlkt (0.3.2.6-2.1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:04:15 +0000

nlkt (0.3.2.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007420)

 -- Bastian Germann <bage@debian.org>  Mon, 02 Oct 2023 18:00:22 +0200

nlkt (0.3.2.6-2) unstable; urgency=medium

  * debian/control:
    - Build-depend on qttools5-dev instead of qttools5-dev-tools. Fixes FTBFS.
      Thanks to Adrian Bunk for the report. (Closes: #881087)
    - Bumped Standards-Version to 4.1.1, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 19 Nov 2017 16:07:04 +0100

nlkt (0.3.2.6-1) unstable; urgency=medium

  * New upstream release.
    - Added .desktop-file, provided by Julian Gilbey. (Closes: #735285)
  * debian/install:
    - Install .desktop-files.
  * debian/control:
    - Depend on 'fonts-dejavu-core' instead of 'ttf-dejavu-core' (which
      became a transitional package). (Closes: #864430)
    - Changed priority from 'extra' to 'optional'.
    - Bumped Standards-Version to 4.1.0.
    - Depend on debhelper (>= 9) for newer compat behavior.
  * debian/menu:
    - Removed.
  * debian/post{inst,rm}:
    - Removed as not needed anymore.
  * debian/compat:
    - Bumped to 9.
  * debian/rules:
    - Do not include dpkg/buildflags.mk manually.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 10 Sep 2017 14:27:05 +0200

nlkt (0.3.2.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bumped Standards-Version to 3.9.6, no changes needed.
    - Replaced Qt and Qwt build dependencies with Qt5 variations.
    - Added a build-dependency on cmake.
  * debian/rules:
    - Removed most of dh overrides, upstream CMake rules should now suffice.
    - Use compile flags provided by dpkg-buildflags.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 07 Feb 2016 19:01:58 +0100

nlkt (0.3.2.2-1) unstable; urgency=low

  * New upstream release.
    - Fixes building with g++ 4.7. (Closes: #667297)
  * debian/control:
    - Bumped Standards-Version to 3.9.3, no changes needed.
    - Build-depend on libqwt-dev instead of libqwt5-qt4-dev for qwt6
      transition. Patch by Scott Kitterman. (Closes: #639507)
  * debian/rules:
    - Use debhelper overrides to simplify the rules.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Fri, 06 Apr 2012 21:01:06 +0300

nlkt (0.3.2.1-4) unstable; urgency=low

  * debian/control:
    - Updated my mail address.
    - Removed 'DM-Upload-Allowed', not needed anymore.
    - Bumped Standards-Version to 3.9.1, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 12 Feb 2011 10:29:00 +0200

nlkt (0.3.2.1-3) unstable; urgency=medium

  * debian/rules:
    - Fix a typo. Fixes FTBFS. Urgency set to medium thus. (Closes: #533948)
  * debian/control:
    - Bumped Standards-Version to 3.8.2, no changes needed.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 21 Jun 2009 18:33:35 +0300

nlkt (0.3.2.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 15 Feb 2009 14:22:24 +0200

nlkt (0.3.2.1-1) experimental; urgency=low

  * New upstream version.
    - Fixed a segfault when user profile is not yet created and user exits the
      profile dialog. (Closes: #509264)
    - Added needed #include to build with g++ 4.4. (Closes: #505337)
  * debian/rules:
    - Various cleanups and improvements (patch by Sune Vuorela).
    - Converted to debhelper v7.
  * debian/control:
    - Build-depend on debhelper (>= 7).
    - Depend on '${misc:Depends}', fixes lintian warning.
    - Set DM-Upload-Allowed flag.
  * debian/compat:
    - Set to 7.
  * debian/post{inst,rm}:
    - Added 'set -e' to not ignore errors, fixes lintian warnings.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Mon, 29 Dec 2008 22:27:36 +0200

nlkt (0.3.2.0-2) unstable; urgency=low

  * debian/rules:
    - Added proper cleaning of build directories in 'clean' rule to fix FTBFS
      on mips and mipsel architectures.
  * debian/copyright:
    - Rewrapped, now any line doesn't exceed 80 chars (suggested by lintian).
  * debian/control:
    - Added build dependency on dpkg-dev (>= 1.14.17) for using '--warnings'
      option in dpkg-shlibdeps.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Thu, 17 Jul 2008 19:37:38 +0300

nlkt (0.3.2.0-1) unstable; urgency=low

  * New upstream release.
    + Added British layout. (Closes: 487971)
  * debian/control:
    - Added dependency on ttf-dejavu-core to ensure that there is scalable
      fixed-width font. This change has to avoid incorrect visibility of the
      exercise window. (Closes: 487958)
  * debian/rules:
    - Added support for 'parallel=n' and 'noopt' in DEB_BUILD_OPTIONS.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Thu, 03 Jul 2008 22:57:04 +0300

nlkt (0.3.1.2-6) unstable; urgency=low

  * debian/control:
    - Bump 'Standards-Version' to 3.8.0, no changes needed.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 08 Jun 2008 14:15:18 +0300

nlkt (0.3.1.2-5) unstable; urgency=low

  * debian/control:
    - Fixed English description. Thanks to Joey Hess. (Closes: #483876).

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 31 May 2008 23:04:16 +0300

nlkt (0.3.1.2-4) unstable; urgency=low

  * debian/watch:
    - Corrected to exclude "src" from version.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Fri, 30 May 2008 03:48:30 +0300

nlkt (0.3.1.2-3) unstable; urgency=low

  * debian/rules:
    - Fixed building of package when default 'qmake' is 'qmake-qt3'.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Fri, 30 May 2008 00:12:08 +0300

nlkt (0.3.1.2-2) unstable; urgency=low

  * debian/copyright:
    - Added reference to GPLv3 license.



=== debian/control ===
Source: nlkt
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
Build-Depends: dpkg-dev (>= 1.14.17), debhelper (>= 9), cmake,
  qtbase5-dev, qttools5-dev, libqwt-qt5-dev
Standards-Version: 4.1.1
Homepage: http://sf.net/projects/nlkt

Package: nlkt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, fortune-mod, fonts-dejavu-core
Suggests: fortunes, fortunes-ru, fortunes-debian-hints, fortunes-de
Description: non-linear keyboard trainer
 Nlkt is a lightweight keyboard trainer (touch-typing tutor).
 .
 Non-linearness means that the program use dynamic, not static exercises, which
 are based on the current user's progress and mistakes.
 .
 Exercises are built from user's mistakes and fortunes.
 .
 Features: multiple accounts for single user, support for several layouts,
 visual keyboard state, keyboard hints.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- "-DLOCAL=off"
